//
//  MTAppDelegate.m
//  Configurable
//
//  Created by Bart Jacobs on 01/07/13.
//  Copyright (c) 2013 Mobile Tuts. All rights reserved.
//

#import "MTAppDelegate.h"

#import "MTConfiguration.h"

@implementation MTAppDelegate

#pragma mark -
#pragma mark Application Did Finish Launching with Options
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    /*
    NSString *configuration = [[[NSBundle mainBundle] infoDictionary] objectForKey:@"Configuration"];
    
    NSLog(@"Current Configuration > %@", configuration);
    */
    
    NSLog(@"Configuration > %@", [MTConfiguration configuration]);
    
    NSLog(@"API Endpoint > %@", [MTConfiguration APIEndpoint]);
    NSLog(@"Is Logging Enabled > %i", [MTConfiguration isLoggingEnabled]);
    
    // Initialize Window
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    
    // Configure Window
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    return YES;
}

#pragma mark -
#pragma mark Application State Changes
- (void)applicationWillResignActive:(UIApplication *)application {
    
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    
}

- (void)applicationWillTerminate:(UIApplication *)application {
    
}

@end
